package com.asset.controller.admin;

import com.asset.common.CodeEnum;
import com.asset.common.Result;
import com.asset.common.ResultUtil;
import com.asset.domain.system.FailReason;
import com.asset.service.system.FailReasonService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import java.util.List;

/*
 * @author xiaol
 * @date 2020/03/06
 */

@RestController
@RequestMapping(value = "/failreason")
public class FailReasonController {

    @Autowired
    FailReasonService failReasonService;
    /**
     * 查询所有部门数据
     * @param
     * @return
     */
    @RequestMapping("getFailReason")
    public Result getFailReason(){
        //进行查询
        QueryWrapper<FailReason> queryWrapper = new QueryWrapper<>();
        List<FailReason> list = failReasonService.list();
        return ResultUtil.success(CodeEnum.SUCCESS,list);
    }

}
